:root{
	--bas-col:1;
	--lightness-main-bg:99%;
	--lightness-main: 1%;
	--lightness-header: 0%;
	--lightness-accent:83%;
	--col-main: hsl(36, 100%, 3%);
	--col-header: white;
	--col-heading: #E0777D;
	--col-footer: hsl(0, 100%, 98%);
	--col-accent: hsl(30, 100%, 63%);
	--col-main-bg: hsl(0, 100%, 100%);
	--col-header-bg: rgb(128, 7, 7);/* hsl(38, 83%, var(--lightness-main-bg)); */;
	--col-footer-bg:hsl(0, 0%, 20%);
    --col-heading-light: hsl(38, 100%, 80%);
    --col-main-menu-bg: rgba(128, 7, 7);
}
*{
	margin: 0;
	padding: 0;
}
a{
    text-decoration:none;
    color: inherit;
}





/*  ####################################
    Ein bisschen Grundlegendes
    #################################### */

body {
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: var(--col-main-bg);
}
p {
    font-size: 1.1rem;
    line-height: 1.8rem;
    max-width: 60ch;
}
h1{
    font-weight: lighter;
}
.site-name a{
    font-size: 5rem;
    font-family: Impact, sans-serif;
    color: var(--col-header);
    text-decoration: none;
    font-weight: light;
}



/*  ####################################
    Alle Veranstaltungen
    #################################### */

.alle-veranstaltungen .view-content{
    display: grid;
    grid-template-columns: repeat( auto-fit, minmax(200px, 1fr) );
    gap: 0.3rem;
   
}
.eine-veranstaltung {
    display: grid;
    grid-template: 1fr / 1fr;
    place-items: center;
    height: 220px;
   
}
.eine-veranstaltung > div {
    grid-column: 1 / 1;
    grid-row: 1 / 1;
}

.eine-veranstaltung a{
    display: block;
}

.eine-veranstaltung .views-field-field-bild,
.eine-veranstaltung .views-field-field-bild *{
    width: 100%;
    height: 100%;
    overflow:hidden;
}
.eine-veranstaltung img{
    object-fit: cover;   
    border-radius: 3px;
    background: black;
}

.eine-veranstaltung .views-field-field-datum {
    place-self: end end;
    display: grid;

}
.eine-veranstaltung .views-field-field-datum .field-content {
    color: white;
    font-size: 2.2rem;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;
    background: rgba(0, 0, 0, 0.5);
    padding: 0.3rem;
    margin: 0.3rem;
    border-radius: 3px;
}


.eine-veranstaltung .views-field-field-erzahlerin {
    place-self: start start;
    display: grid;

}
.eine-veranstaltung .views-field-field-erzahlerin .field-content {
    color: white;
    font-size: 0.7rem;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: light;
    background: rgba(0, 0, 0, 0.5);
    padding: 0.3rem;
    margin: 0.3rem;
    border-radius: 3px;
}

.eine-veranstaltung .views-field-title {
    font-size: 1.4rem;
    color: var(--col-header-bg);
    background: rgba(255,255,255,0.9);
    padding: 1rem 3rem;
    border-radius: 3px;
    max-width: 80%;
}

.veranstaltungen-zukunft .view-content {
    display: grid;
    gap: 3rem;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    justify-items: center;
}

.veranstaltung-zukunft {
    width: 300px;
    text-align: center;
    box-shadow: -1px 4px 6px rgb(174, 174, 174);

    .views-field-field-bild{
        width: 100%;
    }

    img {
        width: 300px;
        height: 300px;
        object-fit: cover;
    }
    .views-field-field-datum {
        font-weight: bolder;
        padding: 0.5rem 0.5rem 0 0.5rem;
    }
    .views-field-title {
        font-weight: bolder;
        font-size: 1.2em;
        padding: 0.8rem 0.5rem;
    }
}



/*
.veranstaltungen-zukunft .eine-veranstaltung {
    margin-bottom: 2rem;
    border-radius: 3px;
    border: 6px solid var(--col-header-bg);
    overflow: hidden;
}

.veranstaltungen-zukunft .eine-veranstaltung .views-field-field-datum .field-content {
    font-size: 1.7rem;
    padding-left: 1rem;
    padding-right: 1rem;
}
.veranstaltungen-zukunft .eine-veranstaltung .views-field-field-erzahlerin .field-content {
    font-size: 1rem;
}
.veranstaltungen-zukunft .eine-veranstaltung .views-field-field-erzahlerin {
    max-width: 80%;
} */

/*  ####################################
    regions
    #################################### */


main, header, .region-highlighted  {
    padding: 0 1rem;
}
main{
    color: var(--col-main);
}

    header {
        padding: 0;
        background: var(--col-header-bg);
        color: #BBD8B3;
        border-bottom: 4px solid var(--col-accent);
    }
    

    
    

    .region-header {
        display: grid;
        grid-template-columns: auto auto;
        position:relative;
    }
    
    .block-system-branding-block {
        display: flex;
        align-items: center;
        padding-left: 3rem;
    }
    .block-system-branding-block img{
            max-width: 300px;
    }
    


footer{
    margin-top: 4rem;
    background: white;
    color: black;
    padding: 4rem 1rem;
}



@media screen and (min-width: 800px) {
    main, .region-highlighted {
        padding: 0 3rem;
    }
    footer {
        padding: 4rem 3rem;
    }
    /* .veranstaltungen-zukunft .view-content{
        display: grid;
        grid-template-columns: repeat( auto-fill, minmax(500px, 1fr) );
        gap: 3rem;
       
    } */
}

@media screen and (max-width: 400px) {
.block-system-branding-block img{
    max-width: 200px;
}
}
